explain_fchownat_or_die(3)

NAME
explain_fchownat_or_die - change ownership of a file relative to a directory and report errors

SYNOPSIS
#include <libexplain/fchownat.h>

void explain_fchownat_or_die(int dirfd, const char *pathname, int owner, int group, int flags);
int explain_fchownat_on_error(int dirfd, const char *pathname, int owner, int group, int flags);

DESCRIPTION
The explain_fchownat_or_die function is used to call the fchownat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_fchownat(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fchownat_on_error function is used to call the fchownat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_fchownat(3) function, but still returns to the caller.

dirfd
    The dirfd, exactly as to be passed to the fchownat(2) system call.

pathname
    The pathname, exactly as to be passed to the fchownat(2) system call.

owner
    The owner, exactly as to be passed to the fchownat(2) system call.

group
    The group, exactly as to be passed to the fchownat(2) system call.

flags
    The flags, exactly as to be passed to the fchownat(2) system call.

RETURN VALUE
The explain_fchownat_or_die function only returns on success, see fchownat(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fchownat_on_error function always returns the value return by the wrapped fchownat(2) system call.

EXAMPLE
The explain_fchownat_or_die function is intended to be used in a fashion similar to the following example:
    explain_fchownat_or_die(dirfd, pathname, owner, group, flags);

SEE ALSO

fchownat(2)
    change ownership of a file relative to a directory

explain_fchownat(3)
    explain fchownat(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller